// filepath: d:\work\newC\demo-web\stories\basic\NewWidget.stories.js
import NewWidget from '../../src/widgets/basic/NewWidget.vue';

export default {
  title: '基础控件/NewWidget',
  component: NewWidget
};

export const 基本用法 = (args, { argTypes }) => ({
  components: { NewWidget },
  props: Object.keys(argTypes),
  template: '<NewWidget v-bind="$props" @click="onClick" />',
  methods: {
    onClick() {
      alert('按钮被点击了！');
    }
  }
});

基本用法.args = {
  title: '新控件标题',
  description: '这是一个新控件的描述。',
  buttonText: '点击我'
};